Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Users

Update User
PATCH /users/{userId}
https://api.relesysapp.net/api/v1.4/users/{userId}
Update a user based on the ID provided. Accepts a JsonPatch request in the body.

When patching the customFields array, the externalId (see the documentation for 'Get User Custom Fields') is used as the key reference.
Scopes: relesys.api, relesys.api:write, relesys.api.users, relesys.api.users:write
URL Path
userId string / guid The user's unique identifier required
Request Body
application/json-patch+json
JSON
[{"value":"My patched name","path":"/name","op":"add"},{"value":{"countryCode":45,"number":"11223344"},"path":"/phoneNumber","op":"replace"},{"path":"/title","op":"remove"},{"value":{"customfieldone":"Custom field 1","customfieldtwo":"Custom field 2","birthday":"2002-12-30","skills":["Marketing","Design"]},"path":"/customFields","op":"add"},{"value":"Female","path":"/gender","op":"replace"},{"value":"NUA","path":"/initials","op":"add"},{"value":"R-12345","path":"/registerNumber","op":"add"},{"value":"D-67890","path":"/dutyPlanNumber","op":"add"},{"value":"c0ce3991-7943-4f36-94ce-2ea3cb04033b","path":"/imageId","op":"replace"},{"value":"05994c1e-caf6-49ed-be70-58fc34180cde","path":"/memberCardId","op":"replace"},{"value":"1234567890","path":"/cardNumber","op":"replace"}]
array[object]
  from string optional
  op string optional
  path string optional
  value object optional
Responses
application/json
JSON
{"data":{"id":"96706f4c-62ab-4a1a-ac79-34c344923510","url":null,"departmentUrl":null,"status":"Activated","creationDateTime":"2026-10-22T18:55:35.2981037Z","lastModifiedDateTime":"2026-10-22T18:55:35.2981037Z","image":{"id":"66abc07c-ccaf-4b49-a4fa-96afd32b109a","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},"memberCard":{"name":"Member Card Name","cardNumber":"1234567890","id":"fefe2f16-16ff-40d6-80c2-f5865979f1d8","url":null},"externalId":"NUA","name":"New User A","initials":"NUA","userName":"UserNameA","title":"User Title A","dataSource":"RelesysAPI","email":"personalmaila@testmail.com","secondaryEmail":"businessmaila@testmail.com","phoneNumber":{"countryCode":45,"number":"12345678"},"secondaryPhoneNumber":{"countryCode":45,"number":"12345679"},"birthDate":"2002-12-30T00:00:00Z","gender":"Male","primaryDepartmentId":"165a1e27-ecf6-4f36-9403-972b6b6d67e9","additionalDepartments":[{"id":"98726ec6-3e8a-4e96-a806-2fd28e662493","dataSource":"RelesysAPI"}],"userGroups":[{"id":"2e5b8b83-c508-4de2-b344-e759bd7460b5","dataSource":"RelesysAPI"},{"id":"e052c1c3-ce7e-40c3-9824-12e1ba068962","dataSource":"RelesysAPI"}],"employmentDate":"2018-12-30T13:30:00Z","employmentEndDate":"2021-12-30T13:30:00Z","customFields":{"customfieldone":"Custom field 1","birthday":"2002-12-30","skills":["Marketing"]},"employmentType":"Full-time manager","registerNumber":"RN12345","dutyPlanNumber":"DP12345"}}
object
  ⯈ data object      
   ⯈ additionalDepartments array[object]      
    dataSource string      
    id string / guid      
   birthDate datetime      
   customFields dictionary`2      
   dataSource string      
   departmentUrl string      
   dutyPlanNumber string      
   email string      
   employmentDate datetime      
   employmentEndDate datetime      
   employmentType string      
   externalId string      
   gender string      
   id string / guid      
   ⯈ image object      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   initials string      
   ⯈ memberCard object      
    cardNumber string      
    id string / guid      
    name string      
    url string      
   name string      
   ⯈ phoneNumber object      
    countryCode integer      
    number string      
   primaryDepartmentId string / guid      
   registerNumber string      
   secondaryEmail string      
   ⯈ secondaryPhoneNumber object      
    countryCode integer      
    number string      
   status string      
   title string      
   url string      
   ⯈ userGroups array[object]      
    dataSource string      
    id string / guid      
   userName string